import request from "@/utils/request";

// 查询角度列表
export function listAngle(query) {
  return request({
    url: "/meas/angle/list",
    method: "get",
    params: query,
  });
}

// 查询角度详细
export function getAngle(id) {
  return request({
    url: "/meas/angle/" + id,
    method: "get",
  });
}

// 新增角度
export function addAngle(data) {
  return request({
    url: "/meas/angle",
    method: "post",
    data: data,
  });
}

// 修改角度
export function updateAngle(data) {
  return request({
    url: "/meas/angle",
    method: "put",
    data: data,
  });
}

// 删除角度
export function delAngle(id) {
  return request({
    url: "/meas/angle/" + id,
    method: "delete",
  });
}
